### Class

# FwupdPlugin EfiDevicePathList

#### Description

    final class FwupdPlugin.EfiDevicePathList : FwupdPlugin.Firmware
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_efi_device_path_list_new

Creates a new EFI DEVICE_PATH list.

since: 1.9.3

#### Instance methods

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginEfiDevicePathListClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.